# **for starting the backend:**
cd mern-test-nodejs

1 you must have mongod runing

2 npm install

3 npm run dev


after this the server will be on localhost:3004,and there will be generated admin user with credentials:username: "admin@admin.com", password: "admin"

# **for starting the frontend**

1 cd mern-test-react

2 npm install

3 npm start

on the navbar on upload you can create products and it has admin authetication, also the activate button has admin auth and the bid button has user auth
